summaryrefslogtreecommitdiff
path: root/srv-dev-env.sh
diff options
context:
space:
mode:
authorBrian Picciano <mediocregopher@gmail.com>2022-09-13 12:25:45 +0200
committerBrian Picciano <mediocregopher@gmail.com>2022-09-13 12:25:45 +0200
commit5485984e05aebde22819adebfbd5ad51475a6c21 (patch)
treed3a8306755713e488ef23be507eafa3b0c574526 /srv-dev-env.sh
parentb1641d1af92eca6e475ea76aaed21a5dab0df185 (diff)
remove redis and circus
Diffstat (limited to 'srv-dev-env.sh')
-rw-r--r--srv-dev-env.sh18
1 files changed, 2 insertions, 16 deletions
diff --git a/srv-dev-env.sh b/srv-dev-env.sh
index 2df9918..d41a96d 100644
--- a/srv-dev-env.sh
+++ b/srv-dev-env.sh
@@ -1,5 +1,6 @@
test_dir="$(mktemp -d)"
+trap "rm -rf $test_dir" EXIT
mkdir -p "$test_dir"/run
mkdir -p "$test_dir"/data
@@ -9,21 +10,6 @@ test_cfg="(import ./config.nix) // {
dataDir=\"${test_dir}/data\";
}"
-entrypoint=$(nix-build --no-out-link -A entrypoint \
- --arg baseConfig "$test_cfg" \
- --arg skipServices '["srv"]')
-
-$entrypoint &
-trap "kill $!; wait; rm -rf $test_dir" EXIT
-
-# NOTE this is a bit of a hack... the location of the redis socket's source of
-# truth is in default.nix, but it's not clear how to get that from there to
-# here, so we reproduce the calculation here.
-while [ ! -e $test_dir/run/redis ]; do
- echo "waiting for redis unix socket"
- sleep 1
-done
-
nix-shell -A srv.shell \
- --arg baseConfig "$test_cfg" \
+ --arg config "$test_cfg" \
"$@"